﻿using System;

namespace TestDameKnihu {
	class Program {
		static void Main(string[] args) {

			var loaded = DameKnihu.LoadCertificates(
				@"dameknihu-384-priv-2021_01_13_18_34_59.key",
				@"dameknihu-public-2021-01-13.key"
			);

			Console.WriteLine($"Loaded: {loaded}");

			if (loaded) {
				DameKnihu.Pobocka = 384;

				TestVoucher("DK-TEST-000B");
				TestVoucher("DK-1234-5678");
			}

			Console.ReadLine();
		}

		private static void TestVoucher(string voucher) {
			var result = DameKnihu.Validate(voucher, "test@sckn.cz");
			Console.WriteLine($"Voucher: {voucher}, Accepted: {result.Accepted}, Message: {result.Message}");

			//DameKnihu.Use(voucher, "test@sckn.cz", "12345678");
		}
	}
}
